Bug 1480377 - [RHEVM]: VM snapshot: delete option is enabled, for Active VM
Summary: [RHEVM]: VM snapshot: delete option is enabled, for Active VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Boriso
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard: rhev:snapshot
Depends On: 1443411
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-10 21:12 UTC by Satoe Imaishi
Modified: 2019-11-19 22:35 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443411
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-10 21:21:21 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/83d576ffc2a929d85e99d2d5d7f5817000c2fd58

commit 83d576ffc2a929d85e99d2d5d7f5817000c2fd58
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Sun Jul 2 11:09:43 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 10 17:18:27 2017 -0400

    Merge pull request #54 from borod108/bugs/delete_active_snapshot
    
    Disable delete button for the active snapshot on oVirt
    (cherry picked from commit 9aaf4672f213786d2332f8deea2c5c2bfb3eb95d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480377

 .../manageiq/providers/redhat/infra_manager/vm/operations/snapshot.rb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 3 CFME Bot 2017-08-10 21:29:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/0725049156070280fd0d8929c5bf20138b3f4d7d

commit 0725049156070280fd0d8929c5bf20138b3f4d7d
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jul 14 11:14:50 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 10 17:24:01 2017 -0400

    Merge pull request #1628 from borod108/bugs/delete_active_snapshot_button
    
    Disable delete button for the active snapshot on oVirt
    (cherry picked from commit 28117304848cbd2565b35a743c1bfba43e269fde)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480377

 .../button/vm_snapshot_remove_one.rb               | 11 ++++++
 .../application_helper/toolbar/x_vm_center.rb      |  4 +-
 .../buttons/vm_snapshot_remove_one_spec.rb         | 46 ++++++++++++++++++++++
 3 files changed, 59 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/vm_snapshot_remove_one.rb
 create mode 100644 spec/helpers/application_helper/buttons/vm_snapshot_remove_one_spec.rb

Comment 4 Ilanit Stein 2017-08-28 11:57:48 UTC
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

On RHV provider, Delete option is grayed out or Active VM.

Comment 6 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.